Zen API

- Home
- Topics
- Types
- Files

All Classes Files Functions Variables Typedefs Friends Macros Modules Pages
Public Member Functions
kAtomic32s Struct Reference
kApi/Threads

## Description

Represents a 32-bit, atomically-accessed, signed integer.

See also
  kAtomic, k32s

Inheritance diagram for kAtomic32s:

## Public Member Functions
kBool | kAtomic32s_CompareExchange (kAtomic32s *atomic, k32s oldValue, k32s value)
| Conditionally exchanges the value of an atomic variable. More...
k32s | kAtomic32s_Decrement (kAtomic32s *atomic)
| Decrements an atomic variable. More...
k32s | kAtomic32s_Exchange (kAtomic32s *atomic, k32s value)
| Exchanges the value of an atomic variable. More...
k32s | kAtomic32s_Get (kAtomic32s *atomic)
| Gets the current value of an atomic variable. More...
k32s | kAtomic32s_Increment (kAtomic32s *atomic)
| Increments an atomic variable. More...
void | kAtomic32s_Init (kAtomic32s *atomic, k32s value)
| Initializes an atomic variable with a particular value. More...
Public Member Functions inherited from kValue
kBool | kValue_Equals (kType type, const void *value, const void *other)
| Determines whether a value is equal to another value. More...
kSize | kValue_HashCode (kType type, const void *value)
| Gets a hash code representing the state of this value. More...
void | kValue_Import (kType type, void *value, const void *source)
| Imports the content of another value into this value. More...

## Additional Inherited Members
Protected Member Functions inherited from kValue
kBool | kValue_VEquals (kType type, const void *value, const void *other)
| Protected virtual method that compares two values for equality. More...
kSize | kValue_VHashCode (kType type, const void *value)
| Protected virtual method that calculates a hash code representing the value instance. More...
void | kValue_VImport (kType type, void *value, const void *source)
| Protected virtual method that imports data from an external source into an array-value type. More...
Related inherited from kValue
#define | kValue_EqualsT(kType_type, TPtr_value, TPtr_other)
| Determines whether a value is equal to another value. More...
#define | kValue_HashCodeT(kType_type, TPtr_value)
| Gets a hash code representing the state of this value. More...

The documentation for this struct was generated from the following file:

- Threads/kAtomic.h